#!/bin/bash

LAST=`pwd`

AINE=iag0581
SEMESTER=S

REPO="eesnimi.perenimi" # <--- muuda
WORKDIR=$AINE
GITURL="git@git.ttu.ee:ained/$AINE/$REPO.git"
STUDENTLIST="repod.txt"

if [[ -d $WORKDIR ]] ; then
    rm -rf $WORKDIR
fi

echo $GITURL
echo $WORKDIR

git clone "$GITURL" "$WORKDIR"

cd $WORKDIR

for i in `cat ../$STUDENTLIST` ; do 
  if ! [[ -d tud/$i ]] ; then
   git submodule add git@git.ttu.ee:ained/$AINE/$i.git tudengid/$i
  fi
done

KUUPAEV=`date +"%m:%d:%y %T"`

git commit -a -m "$KUUPAEV seisuga tudengite kodutood lisatud koondreposse."

git push

cd $LAST

echo "Valmis!"
