#!/bin/bash

if [ $# -eq 0 ] ; then
  echo "See skript uuendab tudengi kataloogi seisu (ja kirjutab ule kohalikud muutused)."
  echo ""
  echo "Kaivitamine:"
  echo "$0 tudengi-uni-id [AAAA-KK-PP]"
  echo ""
  echo "$0 tudengi-uni-id"
  echo "$0 tudengi-uni-id 2014-10-15"
  exit 1
fi

if [ -d "tud/$1" ] ; then
  CUR=`pwd`
  cd "tud/$1"
  git fetch --all
  if [ $# -eq 2 ] ; then
    DATE=$2
    git checkout --force `git rev-list -n 1 --before="$DATE 00:01" origin master`
  else
    git reset --hard origin/master
  fi
  cd $CUR
else
 echo "Kataloogi \"tud/$1\" veel ei eksisteeri."
 echo "Kas uni-id laks valesti, voi tuleb labi lasta lisa-repod.sh."
fi
